Bug 170878 - net-mgmt/better-cacti-templates should be renamed to match upstream project merge
Summary: net-mgmt/better-cacti-templates should be renamed to match upstream project m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-22 16:40 UTC by janow49420
Modified: 2012-09-20 05:00 UTC (History)
0 users

See Also:


Attachments
smime.p7s (4.52 KB, application/x-pkcs7-signature)
2012-09-10 20:52 UTC, Alexey Degtyarev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description janow49420 2012-08-22 16:40:01 UTC
net-mgmt/better-cacti-templates should be renamed as the upstream project has now merged with Percona Monitoring Plugins.

https://code.google.com/p/mysql-cacti-templates/
http://www.percona.com/software/percona-monitoring-plugins/
Comment 1 Edwin Groothuis freebsd_committer 2012-08-22 16:40:50 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-08-22 16:40:52 UTC
Maintainer of net-mgmt/better-cacti-templates,

Please note that PR ports/170878 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170878

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-08-22 16:40:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Bryan Drewery freebsd_committer 2012-08-22 17:02:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

Take
Comment 5 Bryan Drewery freebsd_committer 2012-09-13 14:05:22 UTC
State Changed
From-To: feedback->open

Maintainer feedback received.
Comment 6 dfilter service freebsd_committer 2012-09-20 04:57:05 UTC
Author: bdrewery
Date: Thu Sep 20 03:56:48 2012
New Revision: 304562
URL: http://svn.freebsd.org/changeset/ports/304562

Log:
  - better-cacti-templates upstream has merged with
    Percona Monitoring Plugins. Move to
    net-mgmt/percona-monitoring-plugins
  
  PR:		ports/170878
  Submitted by:	"Alexey V. Degtyarev" <alexey@renatasystems.org> (maintainer)
  Reported by:	David Cecchin <dcecchin@gmail.com>
  Reviewed by:	eadler

Added:
  head/net-mgmt/percona-monitoring-plugins/
     - copied from r304413, head/net-mgmt/better-cacti-templates/
Deleted:
  head/net-mgmt/better-cacti-templates/
Modified:
  head/MOVED
  head/UPDATING
  head/net-mgmt/Makefile
  head/net-mgmt/percona-monitoring-plugins/Makefile
  head/net-mgmt/percona-monitoring-plugins/distinfo
  head/net-mgmt/percona-monitoring-plugins/pkg-descr
  head/net-mgmt/percona-monitoring-plugins/pkg-plist

Modified: head/MOVED
==============================================================================
--- head/MOVED	Thu Sep 20 03:56:11 2012	(r304561)
+++ head/MOVED	Thu Sep 20 03:56:48 2012	(r304562)
@@ -3669,3 +3669,4 @@ postgresql74-man||2012-09-13|There no ac
 postgresql80-man||2012-09-13|There no according PostgreSQL version in the tree anymore
 postgresql81-man||2012-09-13|There no according PostgreSQL version in the tree anymore
 audio/libmusicbrainz||2012-09-18|Has expired: MusicBrainz RDF webservice no longer functions
+net-mgmt/better-cacti-templates|net-mgmt/percona-monitoring-plugins|2012-09-19|Project renamed

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Thu Sep 20 03:56:11 2012	(r304561)
+++ head/UPDATING	Thu Sep 20 03:56:48 2012	(r304562)
@@ -5,6 +5,21 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20120919:
+  AFFECTS: users of net-mgmt/better-cacti-templates
+  AUTHOR: Bryan Drewery <bdrewery@FreeBSD.org>
+
+  better-cacti-templates has been renamed as the upstream has merged
+  with Percona Monitoring Plugins.
+
+  Update your port origins as follows:
+
+  # portmaster -o net-mgmt/percona-monitoring-plugins net-mgmt/better-cacti-templates
+  or
+  # portupgrade -fo net-mgmt/percona-monitoring-plugins net-mgmt/better-cacti-templates
+  or
+  # pkg set -o net-mgmt/better-cacti-templates:net-mgmt/percona-monitoring-plugins
+
 20120916:
   AFFECTS: users of german/webalizer2, japanese/webalizer, polish/webalizer2, portuguese/webalizer-pt_BR, portuguese/webalizer-pt_PT, ukrainian/webalizer, www/geolizer, www/webalizer
   AUTHOR: dinoex@FreeBSD.org

Modified: head/net-mgmt/Makefile
==============================================================================
--- head/net-mgmt/Makefile	Thu Sep 20 03:56:11 2012	(r304561)
+++ head/net-mgmt/Makefile	Thu Sep 20 03:56:48 2012	(r304562)
@@ -21,7 +21,6 @@
     SUBDIR += arts++
     SUBDIR += aspathtree
     SUBDIR += bandwidthd
-    SUBDIR += better-cacti-templates
     SUBDIR += bgpq
     SUBDIR += bgpq3
     SUBDIR += bigsister
@@ -189,6 +188,7 @@
     SUBDIR += openlldp
     SUBDIR += openvmps
     SUBDIR += ourmon
+    SUBDIR += percona-monitoring-plugins
     SUBDIR += p0f
     SUBDIR += p0f2
     SUBDIR += p5-AnyEvent-SNMP

Modified: head/net-mgmt/percona-monitoring-plugins/Makefile
==============================================================================
--- head/net-mgmt/better-cacti-templates/Makefile	Mon Sep 17 17:22:59 2012	(r304413)
+++ head/net-mgmt/percona-monitoring-plugins/Makefile	Thu Sep 20 03:56:48 2012	(r304562)
@@ -1,19 +1,16 @@
-# New ports collection makefile for:	better-cacti-templates
-# Date created:				Sat Aug 27 2011
-# Whom:					Alexey V. Degtyarev <alexey@renatasystems.org>
-#
+# Created By: Alexey V. Degtyarev <alexey@renatasystems.org>
 # $FreeBSD$
 
-PORTNAME=	better-cacti-templates
-PORTVERSION=	1.1.8
+PORTNAME=	percona-monitoring-plugins
+PORTVERSION=	1.0.1
 CATEGORIES=	net-mgmt
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE:S/better/mysql/}
+MASTER_SITES=	http://www.percona.com/downloads/percona-monitoring-plugins/ \
+		ftp://ftp.renatasystems.org/pub/FreeBSD/ports/distfiles/
 
 MAINTAINER=	alexey@renatasystems.org
-COMMENT=	Better Cacti templates for MySQL, Apache, Memcached, and more
+COMMENT=	Cacti templates for MySQL, Apache, Memcached, and more by Percona
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
 
 RUN_DEPENDS=	cacti>=0:${PORTSDIR}/net-mgmt/cacti \
 		p5-DBD-mysql>=0:${PORTSDIR}/databases/p5-DBD-mysql \
@@ -31,7 +28,7 @@ NO_BUILD=	yes
 CACTIDIR?=	share/cacti
 
 .if !defined(NOPORTDOCS)
-PORTDOCS=	README Changelog
+PORTDOCS=	Changelog
 .endif
 
 do-install:
@@ -41,16 +38,21 @@ do-install:
 	${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}/${doc}
 .endfor
 .endif
+
 	${MKDIR} ${PREFIX}/share/cacti/scripts
-	${MKDIR} ${PREFIX}/share/better-cacti-templates
-	cd ${WRKSRC}
-.for dir in definitions misc templates tools
-	cd ${WRKSRC} && ${PAX} -r -w ${dir} \
-		${PREFIX}/share/better-cacti-templates
+	${MKDIR} ${PREFIX}/share/percona-monitoring-plugins
+
+.for dir in definitions misc templates
+	cd ${WRKSRC} && ${PAX} -r -w cacti/${dir} \
+		${PREFIX}/share/percona-monitoring-plugins
 .endfor
+
 .for script in ss_get_by_ssh.php ss_get_mysql_stats.php
-	${INSTALL_DATA} ${WRKSRC}/scripts/${script} \
+	${INSTALL_DATA} ${WRKSRC}/cacti/scripts/${script} \
 		${PREFIX}/share/cacti/scripts/${script}
 .endfor
 
+	${INSTALL_SCRIPT} ${WRKSRC}/cacti/bin/* ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/nagios/bin/* ${PREFIX}/bin
+
 .include <bsd.port.mk>

Modified: head/net-mgmt/percona-monitoring-plugins/distinfo
==============================================================================
--- head/net-mgmt/better-cacti-templates/distinfo	Mon Sep 17 17:22:59 2012	(r304413)
+++ head/net-mgmt/percona-monitoring-plugins/distinfo	Thu Sep 20 03:56:48 2012	(r304562)
@@ -1,2 +1,2 @@
-SHA256 (better-cacti-templates-1.1.8.tar.gz) = 9a983b765d482893186452f40c1766607cef83fe113506f7440b18e76634a11b
-SIZE (better-cacti-templates-1.1.8.tar.gz) = 275805
+SHA256 (percona-monitoring-plugins-1.0.1.tar.gz) = 22f1992586e4e136101becedf3b0a1ebf1f46fc450ca805962282d46c6dde215
+SIZE (percona-monitoring-plugins-1.0.1.tar.gz) = 318149

Modified: head/net-mgmt/percona-monitoring-plugins/pkg-descr
==============================================================================
--- head/net-mgmt/better-cacti-templates/pkg-descr	Mon Sep 17 17:22:59 2012	(r304413)
+++ head/net-mgmt/percona-monitoring-plugins/pkg-descr	Thu Sep 20 03:56:48 2012	(r304562)
@@ -1,17 +1,9 @@
-Cacti templates you'll find online are often poor quality and have many
-problems. Cacti's design can also cause inefficiency if you don't know how to
-use it correctly, and most templates don't avoid those inefficiencies. The
-templates offered by this project should work around all of these problems,
-which are pretty common in other templates:
+The Percona Monitoring Plugins are high-quality components to add
+enterprise-grade MySQL capabilities to your existing in-house, on-premises
+monitoring solutions. The components are designed to integrate seamlessly with
+widely deployed solutions such as Nagios and Cacti, and are delivered in the
+form of templates, plugins, and scripts.
 
-- No duplicated data in RRD files.
+The project was also known as mysql-cacti-templates and better-cacti-templates.
 
-- No unused data in RRD files.
-
-- No wasted polling for the same data over and over, so your Cacti installation
-  won't start timing out.
-
-The project is also known as mysql-cacti-templates, for historical reasons. But
-it offers many more kinds of templates.
-
-WWW: http://code.google.com/p/mysql-cacti-templates/
+WWW: http://www.percona.com/software/percona-monitoring-plugins/

Modified: head/net-mgmt/percona-monitoring-plugins/pkg-plist
==============================================================================
--- head/net-mgmt/better-cacti-templates/pkg-plist	Mon Sep 17 17:22:59 2012	(r304413)
+++ head/net-mgmt/percona-monitoring-plugins/pkg-plist	Thu Sep 20 03:56:48 2012	(r304562)
@@ -1,32 +1,45 @@
-share/better-cacti-templates/definitions/apache_definitions.pl
-share/better-cacti-templates/definitions/gnu_linux_definitions.pl
-share/better-cacti-templates/definitions/jmx_definitions.pl
-share/better-cacti-templates/definitions/memcached_definitions.pl
-share/better-cacti-templates/definitions/mongodb_definitions.pl
-share/better-cacti-templates/definitions/mysql_definitions.pl
-share/better-cacti-templates/definitions/nginx_definitions.pl
-share/better-cacti-templates/definitions/openvz_definitions.pl
-share/better-cacti-templates/definitions/redis_definitions.pl
-share/better-cacti-templates/misc/jmx-monitor.xml
-share/better-cacti-templates/templates/cacti_host_template_x_apache_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_gnu_linux_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_jmx_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_memcached_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_mongodb_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_mysql_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_nginx_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_openvz_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/templates/cacti_host_template_x_redis_server_ht_0.8.6i-sver1.1.8.xml
-share/better-cacti-templates/tools/extract-template.pl
-share/better-cacti-templates/tools/graph_defs.pl
-share/better-cacti-templates/tools/make-template.pl
-share/better-cacti-templates/tools/unique-hashes.pl
+bin/pmp-cacti-extract-template
+bin/pmp-cacti-graph-defs
+bin/pmp-cacti-make-hashes
+bin/pmp-cacti-template
+bin/pmp-check-lvm-snapshots
+bin/pmp-check-mysql-deadlocks
+bin/pmp-check-mysql-deleted-files
+bin/pmp-check-mysql-file-privs
+bin/pmp-check-mysql-innodb
+bin/pmp-check-mysql-pidfile
+bin/pmp-check-mysql-processlist
+bin/pmp-check-mysql-replication-delay
+bin/pmp-check-mysql-replication-running
+bin/pmp-check-mysql-status
+bin/pmp-check-mysql-status.~1~
+bin/pmp-check-pt-table-checksum
+bin/pmp-check-unix-memory
 share/cacti/scripts/ss_get_by_ssh.php
 share/cacti/scripts/ss_get_mysql_stats.php
-@dirrm share/better-cacti-templates/tools
-@dirrm share/better-cacti-templates/templates
-@dirrm share/better-cacti-templates/misc
-@dirrm share/better-cacti-templates/definitions
-@dirrm share/better-cacti-templates
+%%DATADIR%%/cacti/definitions/apache.def
+%%DATADIR%%/cacti/definitions/gnu_linux.def
+%%DATADIR%%/cacti/definitions/jmx.def
+%%DATADIR%%/cacti/definitions/memcached.def
+%%DATADIR%%/cacti/definitions/mongodb.def
+%%DATADIR%%/cacti/definitions/mysql.def
+%%DATADIR%%/cacti/definitions/nginx.def
+%%DATADIR%%/cacti/definitions/openvz.def
+%%DATADIR%%/cacti/definitions/redis.def
+%%DATADIR%%/cacti/misc/jmx-monitor.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_apache_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_gnu_linux_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_jmx_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_memcached_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_mongodb_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_mysql_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_nginx_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_openvz_server_ht_0.8.6i-sver1.0.1.xml
+%%DATADIR%%/cacti/templates/cacti_host_template_percona_redis_server_ht_0.8.6i-sver1.0.1.xml
+@dirrm %%DATADIR%%/cacti/templates
+@dirrm %%DATADIR%%/cacti/misc
+@dirrm %%DATADIR%%/cacti/definitions
+@dirrm %%DATADIR%%/cacti
+@dirrm %%DATADIR%%
 @dirrmtry share/cacti/scripts
 @dirrmtry share/cacti
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Bryan Drewery freebsd_committer 2012-09-20 04:57:06 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!